<?php

namespace App\Livewire\Dashboard;

use Livewire\Component;

class Pricing extends Component
{
    public $plans;

    public function mount(): void
    {
        $this->plans = config('app.plans');
    }

    public function choosePlan($pricing_id): void
    {
        $this->redirect(route('checkout', $pricing_id));
    }

    public function render()
    {
        return view('livewire.dashboard.pricing');
    }
}
